Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.parameter.rpl
Interface Node

All Known Implementing Classes:
  ASTblockdef, ASTcompilationUnit, ASTconst_assign, ASTConstant, ASTdotted_name, ASTFalse, ASTFloat, ASTInt, ASTlist, ASTlist_assign, ASTName, ASTparam_assign, ASTParameter, ASTString, ASTsubBlock, ASTsuite, ASTTrue, SimpleNode

    public interface Node

Method Summary
`void` | `compile(RPLCompiler compiler)`
`java.lang.Object` | `getInfo()`
`RPLObject` | `getValue()`
`void` | `jjtAddChild(Node n, int i)` This method tells the node to add its argument to the node's list of children.
`void` | `jjtClose()` This method is called after all the child nodes have been added.
`Node` | `jjtGetChild(int i)` This method returns a child node.
`int` | `jjtGetNumChildren()` Return the number of children the node has.
`Node` | `jjtGetParent()`
`void` | `jjtOpen()` This method is called after the node has been made the current node.
`void` | `jjtSetParent(Node n)` This pair of methods are used to inform the node of its parent.
`void` | `preProcess(RPLCompiler compiler)`
`void` | `setFloat(java.lang.String s)`
`void` | `setInfo(java.lang.Object o)`
`void` | `setInteger(java.lang.String s, int radix)`
`void` | `setString(java.lang.String s, int quotes)`

Method Detail

### jjtOpen

    void jjtOpen()

  This method is called after the node has been made the current node. It indicates that child nodes can now be added to it.

### jjtClose

    void jjtClose()

  This method is called after all the child nodes have been added.

### jjtSetParent

    void jjtSetParent(Node n)

  This pair of methods are used to inform the node of its parent.

### jjtGetParent

    Node jjtGetParent()

### jjtAddChild

    void jjtAddChild(Node n,
                     int i)

  This method tells the node to add its argument to the node's list of children.

### jjtGetChild

    Node jjtGetChild(int i)

  This method returns a child node. The children are numbered from zero, left to right.

### jjtGetNumChildren

    int jjtGetNumChildren()

  Return the number of children the node has.

### getInfo

    java.lang.Object getInfo()

### setInfo

    void setInfo(java.lang.Object o)

### setString

    void setString(java.lang.String s,
                   int quotes)

### setInteger

    void setInteger(java.lang.String s,
                    int radix)

### setFloat

    void setFloat(java.lang.String s)

### getValue

    RPLObject getValue()

### preProcess

    void preProcess(RPLCompiler compiler)

### compile

    void compile(RPLCompiler compiler)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD